> ## Documentation Index
> Fetch the complete documentation index at: https://docs.trackstarhq.com/llms.txt
> Use this file to discover all available pages before exploring further.

# Get Warehouse Customer

> Returns a single Warehouse Customer for the WMS connection with the associated warehouse customer id.



## OpenAPI

````yaml get /wms/warehouse-customers/{warehouse_customer_id}
openapi: 3.1.0
info:
  description: >

    Trackstar is a Unified API that provides standard endpoints for Supply Chain
    Logistics. We currently offer an API for Warehouse Management Systems (WMS).
  title: Trackstar API
  version: 0.1.0
servers:
  - description: Trackstar API
    url: https://production.trackstarhq.com
security: []
tags: []
externalDocs:
  description: Trackstar API Documentation
  url: https://docs.trackstarhq.com
paths:
  /wms/warehouse-customers/{warehouse_customer_id}:
    get:
      tags:
        - wms
        - Warehouse Customers
      summary: Get Warehouse Customer
      description: >-
        Returns a single Warehouse Customer for the WMS connection with the
        associated warehouse customer id.
      operationId: get_wms_get_warehouse_customer
      parameters:
        - in: path
          name: warehouse_customer_id
          schema:
            type: string
          required: true
        - in: header
          name: x-trackstar-api-key
          description: Your organization-level Trackstar API key.
          schema:
            type: string
            example: <x-trackstar-api-key>
          required: true
        - in: header
          name: x-trackstar-access-token
          description: >-
            Your user's access token for a specific integration (ShipHero,
            Extensiv, etc).
          schema:
            type: string
            example: <x-trackstar-access-token>
          required: true
      responses:
        '200':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/WmsWarehouseCustomersSingleItemEndpoint'
          description: Successful response
        '404':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/HTTPError'
          description: Not found
        '422':
          content:
            application/json:
              schema:
                $ref: '#/components/schemas/ValidationError'
          description: Validation error
components:
  schemas:
    WmsWarehouseCustomersSingleItemEndpoint:
      type: object
      properties:
        data:
          $ref: '#/components/schemas/WmsWarehouseCustomerApiItemSchema'
      additionalProperties: false
      title: WmsWarehouseCustomersSingleItemEndpoint
    HTTPError:
      properties:
        error:
          type: string
        id:
          type: string
          description: The ID of the item that wasn't found.
      required:
        - error
      type: object
      title: HTTPError
    ValidationError:
      properties:
        error:
          type: string
        detail:
          type: object
          properties:
            <location>:
              type: object
              properties:
                <field_name>:
                  type: array
                  items:
                    type: string
      required:
        - error
      type: object
      title: ValidationError
    WmsWarehouseCustomerApiItemSchema:
      type: object
      properties:
        id:
          type: string
          description: The unique ID of the warehouse customer.
          example: warehouse_customer_id
        created_date:
          type: string
          format: date-time
          description: The date the warehouse customer was created.
          example: '2022-01-01T00:00:00Z'
        updated_date:
          type: string
          format: date-time
          description: The date the warehouse customer was last updated.
          example: '2022-01-02T05:05:05Z'
        name:
          type: string
          description: The name of the warehouse customer.
          example: Customer Name
        email:
          type:
            - string
            - 'null'
          description: The email of the primary contact for the warehouse customer.
          example: customer@email.com
        additional_fields:
          type: object
          description: Integration-specific fields
          example:
            key: value
          additionalProperties: {}
        trackstar_created_date:
          type: string
          format: date-time
          description: ''
        trackstar_updated_date:
          type: string
          format: date-time
          description: ''
      required:
        - additional_fields
        - created_date
        - email
        - id
        - name
        - trackstar_created_date
        - trackstar_updated_date
        - updated_date
      additionalProperties: false
      title: WmsWarehouseCustomerApiItemSchema

````